Bug 54972 - dhcpcd should send hostname to DHCP server by default
dhcpcd should send hostname to DHCP server by default
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-23 17:03 EDT by Erich Boleyn
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-24 11:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erich Boleyn 2001-10-23 17:03:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
dhcpcd is not sending the hostname of the client to the DHCP server by
default.  This makes it very network-unfriendly by default, since many
sites support DHCP->DNS dynamic hostname injection now, and some DHCP
servers *require* the presence of a hostname field.  RH 7.2 will not do the
Right Thing for these sites.

dhcpcd should always send a hostname unless specifically told it should
not.  This should be fixed.

There exists a workaround, but most users won't know how to do it.  You
have to add a line by hand to the "ifcfg-<interface>" file buried in
"/etc/sysconfig/networking/devices", to wit: 
"DHCP_HOSTNAME=<put_your_hostname_here>".


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set up RH 7.2.
2. Set up DHCP on an interface.
3. Observe via info from the DHCP server that it's not sending the hostname
field.


Additional info:
Comment 1 Erich Boleyn 2001-10-24 11:32:42 EDT
Another way to "fix" the behavior is to change the scripts that use dhcpcd instead.

So, make the network script always use the "-h <hostname>" option, but use the
machine's hostname by default, only using a different one if specified by the
"DHCP_HOSTNAME" option which can be in the "ifcfg-<interface>" file.

I will make this change to my config scripts.
Comment 2 Elliot Lee 2002-01-04 14:35:04 EST
Hi,

The most common use case is for the dhcp server to tell the client what its
hostname is, so your proposal doesn't make sense as a default, and the
DHCP_HOSTNAME variable already exists to allow the option of doing what you need.

Thus, no change will be made.
Comment 3 Erich Boleyn 2002-01-04 14:58:48 EST
Err, it may be the most common configuration of a DHCP server when comparing
between the mode of (sends hostname) vs. (receives and publishes hostname over
DNS), but:

1.  Windows & MacOS clients do send the hostname (maybe they have a smarter
client that will accept one if provided by the server, and the UNIX dhcpcd is
broken in that it can only do one or the other and not both).
2.  End-users in general don't think of sniffing around for their new "hostname"
when they plug into a network.
3.  There are plenty of bits of (espicially server) software under UNIX that get
broken when you don't have the right "hostname".

So, it strikes me as either a bad policy or again dhcpcd is broken.
Comment 4 Need Real Name 2002-02-21 18:30:57 EST
I have to argue that this is incorrect policy. You should be able to set a
hostname on install and the network dhcp server should respect that choice
unless it has been explicitly told not to do so.

I just cannot understand how you can change police like this between releases
(worked in redhat 7.1)

Note You need to log in before you can comment on or make changes to this bug.